@import './base/main';

body {
  min-height: 100vh;
  width: 100%;
  font-family: 'Roboto', sans-serif;
}

.card {
  &-elevated {
    border: none;
    box-shadow: 0 10px 13px -6px rgba(0,0,0,.15),
      0 20px 31px 3px rgba(0,0,0,.11),
      0 8px 38px 7px rgba(0,0,0,.09);
  }
}

.pageTitle {
  padding-top: 2rem;
  padding-bottom: 1rem;
  border-bottom: 1px solid rgba(0,0,0,.15);
  margin-bottom: 1rem;
  position: relative;

  &__view {
    position: absolute;
    right: 0;
    bottom: 1rem;

    button {
      margin-right: .5rem;
    }
  }

  h1 {
    margin: 0;
    font-size: 1.5rem;
    line-height: 2rem;
    color: $grey-text;

    svg {
      float: left;
      margin-right: .75rem;
      margin-top: .5rem;
      font-size: 1rem;
      line-height: 1rem;
    }
  }

  @media screen and (min-width: 576px) {

    h1 {
      font-size: 2rem;
      line-height: 2rem;

      svg {
        margin-top: .25rem;
        font-size: 1.5rem;
        line-height: 1.5rem;
      }
    }
    
  }
}

.alert {
  .spinner-border {
    float: left;
    margin-top: 3px;
    margin-right: .5rem;
  }
}

.submitButton {
  margin-left: auto;
  display: flex;
  align-items: center;
  justify-content: center;

  .spinner-border {
    display: inline-block;
    margin-right: .5rem;
  }
}

@import './layouts/main';
@import './pages/main';
@import './components/main';